Debian Bug report logs - #557555
[ibus] ibus-setup shouldn't recommend $HOME/.bashrc for environment variables

version graph

Package: ibus; Maintainer for ibus is IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>; Source for ibus is src:ibus.

Reported by: Kai Wasserbäch <debian@carbon-project.org>

Date: Sun, 22 Nov 2009 20:48:01 UTC

Severity: normal

Tags: confirmed

Found in version ibus/1.2.0.20091024-1

Fixed in version ibus/1.3.9-2

Done: Asias He <asias.hejun@gmail.com>

Bug is archived. No further changes may be made.

Forwarded to http://code.google.com/p/ibus/issues/detail?id=710

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#557555; Package libqtcore4. (Sun, 22 Nov 2009 20:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kai Wasserbäch <debian@carbon-project.org>:
New Bug report received and forwarded. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Sun, 22 Nov 2009 20:48:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kai Wasserbäch <debian@carbon-project.org>
To: "Bug Tracking System (BTS)" <submit@bugs.debian.org>
Subject: [Qt] Qt applications don't heed global QT_IM_MODULE
Date: Sun, 22 Nov 2009 21:43:35 +0100
[Message part 1 (text/plain, inline)]
Package: libqtcore4
Version: 4:4.5.3-4
Severity: normal

Dear Qt maintainers,
I've recently installed Debian for somebody needing support for entering
traditional Chinese characters. I chose iBus to allow that and works great so
far. To enable iBus at login time there is a small one-liner in the
.kde4/Autostart directory and three lines in the .bashrc, including
> export QT_IM_MODULE=ibus

And while Gtk+ or X applications honer the exported variable and allow iBus to
be activated for them, Qt applications don't.

A workaround for the time being is to start any Qt application from e.g.
terminal with
> QT_IM_MODULE=ibus [APPLICATION]&
where [APPLICATION] is replaced by the application's name, e.g. kwrite.

This behaviour was observed with KWrite, Skype and some other Qt-based
applications. Gtk+-based applications like Pidgin or Iceweasel work as expected
(hitting Ctrl + space activates the iBus input method).

If you should need further information, please feel free to ask me, I'll run the
tests and return the information ASAP.

Kind regards,
Kai Wasserbäch

P.S.: Setting QT4_IM_MODULE doesn't help either.


-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (900, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.31.6-cabal
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8) (ignored: LC_ALL
set to de_DE.UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages libqtcore4 depends on:
ii  libc6                  2.10.1-7          GNU C Library: Shared libraries
ii  libgcc1                1:4.4.1-4         GCC support library
ii  libglib2.0-0           2.22.2-2          The GLib library of C routines
ii  libstdc++6             4.4.1-4           The GNU Standard C++ Library v3
ii  zlib1g                 1:1.2.3.3.dfsg-15 compression library - runtime

libqtcore4 recommends no packages.

libqtcore4 suggests no packages.

-- no debconf information



-- 

Kai Wasserbäch (Kai Wasserbaech)

E-Mail: debian@carbon-project.org
Jabber (debianforum.de): Drizzt
URL: http://wiki.debian.org/C%C3%B9ran
GnuPG: 0xE1DE59D2      0600 96CE F3C8 E733 E5B6 1587 A309 D76C E1DE 59D2
(http://pgpkeys.pca.dfn.de/pks/lookup?search=0xE1DE59D2&fingerprint=on&hash=on&op=vindex)

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>:
Bug#557555; Package libqtcore4. (Sun, 22 Nov 2009 22:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Modestas Vainius <modestas@vainius.eu>:
Extra info received and forwarded to list. Copy sent to Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>. (Sun, 22 Nov 2009 22:27:05 GMT) Full text and rfc822 format available.

Message #10 received at 557555@bugs.debian.org (full text, mbox):

From: Modestas Vainius <modestas@vainius.eu>
To: Kai Wasserbäch <debian@carbon-project.org>, 557555@bugs.debian.org
Subject: Re: Bug#557555: [Qt] Qt applications don't heed global QT_IM_MODULE
Date: Mon, 23 Nov 2009 00:22:13 +0200
[Message part 1 (text/plain, inline)]
tags 557555 pending
thanks

Hello,

On sekmadienis 22 Lapkritis 2009 22:43:35 Kai Wasserbäch wrote:
> Dear Qt maintainers,
> I've recently installed Debian for somebody needing support for entering
> traditional Chinese characters. I chose iBus to allow that and works great
>  so far. To enable iBus at login time there is a small one-liner in the
>  .kde4/Autostart directory and three lines in the .bashrc, including
> 
> > export QT_IM_MODULE=ibus
> 
> And while Gtk+ or X applications honer the exported variable and allow iBus
>  to be activated for them, Qt applications don't.

.bashrc is just a wrong place to export environment variables for X sessions. 
Create a new file in /etc/X11/Xsession.d/ or use ~/.xsessionrc for that 
purpose.

I will close this likely not-a-bug in a few days or when you respond.

-- 
Modestas Vainius <modestas@vainius.eu>
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Modestas Vainius <modestas@vainius.eu> to control@bugs.debian.org. (Sun, 22 Nov 2009 22:27:06 GMT) Full text and rfc822 format available.

Bug reassigned from package 'libqtcore4' to 'ibus'. Request was from Kai Wasserbäch <debian@carbon-project.org> to control@bugs.debian.org. (Mon, 23 Nov 2009 13:12:11 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions qt4-x11/4:4.5.3-4. Request was from Kai Wasserbäch <debian@carbon-project.org> to control@bugs.debian.org. (Mon, 23 Nov 2009 13:12:12 GMT) Full text and rfc822 format available.

Changed Bug title to '[ibus] ibus-setup shouldn't recommend $HOME/.bashrc for environment variables' from '[Qt] Qt applications don't heed global QT_IM_MODULE' Request was from Kai Wasserbäch <debian@carbon-project.org> to control@bugs.debian.org. (Mon, 23 Nov 2009 13:12:13 GMT) Full text and rfc822 format available.

Removed tag(s) pending. Request was from Kai Wasserbäch <debian@carbon-project.org> to control@bugs.debian.org. (Mon, 23 Nov 2009 13:12:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, LI Daobing <lidaobing@debian.org>:
Bug#557555; Package ibus. (Mon, 23 Nov 2009 13:18:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kai Wasserbäch <debian@carbon-project.org>:
Extra info received and forwarded to list. Copy sent to LI Daobing <lidaobing@debian.org>. (Mon, 23 Nov 2009 13:18:03 GMT) Full text and rfc822 format available.

Message #25 received at 557555@bugs.debian.org (full text, mbox):

From: Kai Wasserbäch <debian@carbon-project.org>
To: 557555@bugs.debian.org, control@bugs.debian.org
Cc: Modestas Vainius <modestas@vainius.eu>
Subject: [ibus] ibus-setup shouldn't recommend .bashrc for environment variables
Date: Mon, 23 Nov 2009 14:06:46 +0100
[Message part 1 (text/plain, inline)]
reassign 557555 ibus
retitle 557555 [ibus] ibus-setup shouldn't recommend $HOME/.bashrc for environment variables
tag 557555 - pending
thanks

Dear ibus maintainers,
after running ibus-setup there is a window displayed which instructs the user to
put
> export GTK_IM_MODULE=ibus
> export XMODIFIERS=@im=ibus
> export QT_IM_MODULE=ibus
into her <$HOME/.bashrc>.

If you do this and use KDE as your DE all Qt-based applications won't allow ibus
as an input method. The only way to get it working is - as the Modestas and Sune
have pointed out - to put it in (either) $HOME/xsessionrc (for all X sessions)
or $HOME/.kde/env/foo (for KDE).

Therefore I'd like to ask you to change said window's text to recommend
<$HOME/.xsessionrc>, which I've tested and found to be working. This is also
documented now at [0].

Kind regards,
Kai Wasserbäch


[0] http://wiki.debian.org/I18n/ibus



-- 

Kai Wasserbäch (Kai Wasserbaech)

E-Mail: debian@carbon-project.org
Jabber (debianforum.de): Drizzt
URL: http://wiki.debian.org/C%C3%B9ran
GnuPG: 0xE1DE59D2      0600 96CE F3C8 E733 E5B6 1587 A309 D76C E1DE 59D2
(http://pgpkeys.pca.dfn.de/pks/lookup?search=0xE1DE59D2&fingerprint=on&hash=on&op=vindex)

[signature.asc (application/pgp-signature, attachment)]

Bug Marked as found in versions ibus/1.2.0.20091024-1. Request was from Kai Wasserbäch <debian@carbon-project.org> to control@bugs.debian.org. (Mon, 23 Nov 2009 13:21:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, LI Daobing <lidaobing@debian.org>:
Bug#557555; Package ibus. (Mon, 23 Nov 2009 13:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Palacio <dpalacio@uninorte.edu.co>:
Extra info received and forwarded to list. Copy sent to LI Daobing <lidaobing@debian.org>. (Mon, 23 Nov 2009 13:48:03 GMT) Full text and rfc822 format available.

Message #32 received at submit@bugs.debian.org (full text, mbox):

From: David Palacio <dpalacio@uninorte.edu.co>
To: debian-qt-kde@lists.debian.org, Kai Wasserbäch <debian@carbon-project.org>, 557555@bugs.debian.org
Cc: "Bug Tracking System (BTS)" <submit@bugs.debian.org>
Subject: Re: Bug#557555: [Qt] Qt applications don't heed global QT_IM_MODULE
Date: Mon, 23 Nov 2009 08:44:19 -0500
[Message part 1 (text/plain, inline)]
On Domingo 22 Noviembre 2009 15:43:35 Kai Wasserbäch escribió:
> Package: libqtcore4
> Version: 4:4.5.3-4
> Severity: normal
> 
> Dear Qt maintainers,
> I've recently installed Debian for somebody needing support for entering
> traditional Chinese characters. I chose iBus to allow that and works great
>  so far. To enable iBus at login time there is a small one-liner in the
>  .kde4/Autostart directory and three lines in the .bashrc, including
> 
> > export QT_IM_MODULE=ibus
> 
> And while Gtk+ or X applications honer the exported variable and allow iBus
>  to be activated for them, Qt applications don't.
> 
> A workaround for the time being is to start any Qt application from e.g.
> terminal with
> 
> > QT_IM_MODULE=ibus [APPLICATION]&
> 
> where [APPLICATION] is replaced by the application's name, e.g. kwrite.
> 
> This behaviour was observed with KWrite, Skype and some other Qt-based
> applications. Gtk+-based applications like Pidgin or Iceweasel work as
>  expected (hitting Ctrl + space activates the iBus input method).
> 
> If you should need further information, please feel free to ask me, I'll
>  run the tests and return the information ASAP.
> 
> Kind regards,
> Kai Wasserbäch
> 
> P.S.: Setting QT4_IM_MODULE doesn't help either.
> 
> 
> -- System Information:
> Debian Release: squeeze/sid
>   APT prefers testing
>   APT policy: (900, 'testing')
> Architecture: i386 (i686)
> 
> Kernel: Linux 2.6.31.6-cabal
> Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8) (ignored:
>  LC_ALL set to de_DE.UTF-8)
> Shell: /bin/sh linked to /bin/bash
> 
> Versions of packages libqtcore4 depends on:
> ii  libc6                  2.10.1-7          GNU C Library: Shared
>  libraries ii  libgcc1                1:4.4.1-4         GCC support library
> ii  libglib2.0-0           2.22.2-2          The GLib library of C routines
> ii  libstdc++6             4.4.1-4           The GNU Standard C++ Library
>  v3 ii  zlib1g                 1:1.2.3.3.dfsg-15 compression library -
>  runtime
> 
> libqtcore4 recommends no packages.
> 
> libqtcore4 suggests no packages.
> 
> -- no debconf information
> 

You should use «im-switch» to set the necessary variables per user or global 
config.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, LI Daobing <lidaobing@debian.org>:
Bug#557555; Package ibus. (Mon, 23 Nov 2009 13:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to David Palacio <dpalacio@uninorte.edu.co>:
Extra info received and forwarded to list. Copy sent to LI Daobing <lidaobing@debian.org>. (Mon, 23 Nov 2009 13:48:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, LI Daobing <lidaobing@debian.org>:
Bug#557555; Package ibus. (Mon, 23 Nov 2009 13:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kai Wasserbäch <debian@carbon-project.org>:
Extra info received and forwarded to list. Copy sent to LI Daobing <lidaobing@debian.org>. (Mon, 23 Nov 2009 13:57:03 GMT) Full text and rfc822 format available.

Message #42 received at 557555@bugs.debian.org (full text, mbox):

From: Kai Wasserbäch <debian@carbon-project.org>
To: 557555@bugs.debian.org
Cc: David Palacio <dpalacio@uninorte.edu.co>
Subject: Re: Bug#557555: [ibus] ibus-setup shouldn't recommend $HOME/.bashrc for environment variables
Date: Mon, 23 Nov 2009 14:55:42 +0100
[Message part 1 (text/plain, inline)]
[Removed debian-qt-kde@lists.debian.org and submit@bugs.debian.org from CC]

Hello David,
David Palacio schrieb:
> You should use «im-switch» to set the necessary variables per user or global 
> config.

while im-switch is recommended by ibus, it is not required. And any
recommendation issued by ibus(-setup) should work. So I'm still of the opinion,
that ibus-setup's output should be changed to recommend .xsessionrc.

Just as an additional note: you might want to mention that im-switch is the
preferred way for configuring the system in the package description. Otherwise
I'm not sure everybody will install it. But this is possibly an arguable point
as recommends are installed by default.

Kind regards,
Kai Wasserbäch



-- 

Kai Wasserbäch (Kai Wasserbaech)

E-Mail: debian@carbon-project.org
Jabber (debianforum.de): Drizzt
URL: http://wiki.debian.org/C%C3%B9ran
GnuPG: 0xE1DE59D2      0600 96CE F3C8 E733 E5B6 1587 A309 D76C E1DE 59D2
(http://pgpkeys.pca.dfn.de/pks/lookup?search=0xE1DE59D2&fingerprint=on&hash=on&op=vindex)

[signature.asc (application/pgp-signature, attachment)]

Added tag(s) confirmed. Request was from LI Daobing <lidaobing@debian.org> to control@bugs.debian.org. (Sat, 26 Dec 2009 10:33:03 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'http://code.google.com/p/ibus/issues/detail?id=710'. Request was from LI Daobing <lidaobing@debian.org> to control@bugs.debian.org. (Sat, 26 Dec 2009 10:33:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>:
Bug#557555; Package ibus. (Sun, 27 Jun 2010 07:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Osamu Aoki <osamu@debian.org>:
Extra info received and forwarded to list. Copy sent to IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>. (Sun, 27 Jun 2010 07:51:03 GMT) Full text and rfc822 format available.

Message #51 received at 557555@bugs.debian.org (full text, mbox):

From: Osamu Aoki <osamu@debian.org>
To: 557555-submitter@bugs.debian.org, 557555@bugs.debian.org, David Palacio <dpalacio@uninorte.edu.co>
Subject: ibus-setup shouldn't recommend $HOME/.bashrc
Date: Sun, 27 Jun 2010 16:48:42 +0900
Hi,

I agree with "ibus-setup shouldn't recommend $HOME/.bashrc" and
recommend things like .xsessionrc.  Some distribution may source
$HOME/.bashrc when starting X but Debian does not.  That is why
.xsessionrc was created.

Since .xsessionrc is parsed before im-switch, the values from
.xsessionrc are valid.  

The way im-switch starts daemon and set variables are very complicated.
So I understand people hate to use it.  (I did not create this
initially.)

FYI: I created im-config which let X source .xinputrc after .xsessionrc.
So input method script can be placed there.  It comes with default setup
which auto detect installed Input Method and activates it. (Currently,
IBus is the highest priority)  You can use GUI to set up lower priority
choice such as SCIM while having Ibus.)

FYI: If you set up via .xsessionrc, you may face conflict with im-switch
which try to start daemon with your choice of variables in .xsessionrc.
This is bug for im-switch as I think back.  im-config does not suffer
this.

Osamu





Message sent on to Kai Wasserbäch <debian@carbon-project.org>:
Bug#557555. (Sun, 27 Jun 2010 07:51:07 GMT) Full text and rfc822 format available.

Reply sent to Asias He <asias.hejun@gmail.com>:
You have taken responsibility. (Fri, 27 May 2011 19:39:03 GMT) Full text and rfc822 format available.

Notification sent to Kai Wasserbäch <debian@carbon-project.org>:
Bug acknowledged by developer. (Fri, 27 May 2011 19:39:03 GMT) Full text and rfc822 format available.

Message #59 received at 557555-close@bugs.debian.org (full text, mbox):

From: Asias He <asias.hejun@gmail.com>
To: 557555-close@bugs.debian.org
Subject: Bug#557555: fixed in ibus 1.3.9-2
Date: Fri, 27 May 2011 19:35:49 +0000
Source: ibus
Source-Version: 1.3.9-2

We believe that the bug you reported is fixed in the latest version of
ibus, which is due to be installed in the Debian FTP archive:

ibus-gtk3_1.3.9-2_amd64.deb
  to main/i/ibus/ibus-gtk3_1.3.9-2_amd64.deb
ibus-gtk_1.3.9-2_amd64.deb
  to main/i/ibus/ibus-gtk_1.3.9-2_amd64.deb
ibus_1.3.9-2.debian.tar.gz
  to main/i/ibus/ibus_1.3.9-2.debian.tar.gz
ibus_1.3.9-2.dsc
  to main/i/ibus/ibus_1.3.9-2.dsc
ibus_1.3.9-2_amd64.deb
  to main/i/ibus/ibus_1.3.9-2_amd64.deb
libibus-dev_1.3.9-2_amd64.deb
  to main/i/ibus/libibus-dev_1.3.9-2_amd64.deb
libibus2_1.3.9-2_amd64.deb
  to main/i/ibus/libibus2_1.3.9-2_amd64.deb
python-ibus_1.3.9-2_all.deb
  to main/i/ibus/python-ibus_1.3.9-2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 557555@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Asias He <asias.hejun@gmail.com> (supplier of updated ibus package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Fri, 20 May 2011 22:02:36 +0800
Source: ibus
Binary: ibus libibus2 libibus-dev ibus-gtk ibus-gtk3 python-ibus
Architecture: source all amd64
Version: 1.3.9-2
Distribution: unstable
Urgency: low
Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
Changed-By: Asias He <asias.hejun@gmail.com>
Description: 
 ibus       - New input method framework using dbus
 ibus-gtk   - New input method framework using dbus (GTK+2 support)
 ibus-gtk3  - New input method framework using dbus (GTK+3 support)
 libibus-dev - New input method framework using dbus
 libibus2   - New input method framework using dbus
 python-ibus - New input method framework using dbus
Closes: 557555 586524 621133 622910
Changes: 
 ibus (1.3.9-2) unstable; urgency=low
 .
   * Enable GTK3 support
   * Bump standards version to 3.9.2
   * Set DM-Upload-Allowed to yes
   * Set VCS to git.debian.org
   * Introduce ibus-gtk3
   * Add Add CLUTTER_IM_MODULE in xinput.d
   * Fix "ibus-setup.desktop need to be policy complient" (Closes: #586524)
   * Fix "Please enable GTK3 support" (Closes: #622910)
   * Fix "Please add support for ibus-clutter in xinput.d" (Closes: #621133)
   * Fix "[ibus] ibus-setup shouldn't recommend $HOME/.bashrc for
     environment variables"(Closes: #557555)
Checksums-Sha1: 
 1426d06f64787c03a5516375ad48d5b694315e22 1543 ibus_1.3.9-2.dsc
 4b57b4b1f36c9c4258f38ae6bee7f80d3f3d5b5f 13181 ibus_1.3.9-2.debian.tar.gz
 4a8ae6b0abf45dd27a3b2e5176c12fa80d74cf95 152804 python-ibus_1.3.9-2_all.deb
 5460d95a07f3d5d48b16485a823d26af194b78aa 595360 ibus_1.3.9-2_amd64.deb
 b12f90a5648a3053818df1b17b77eb2f73872fe8 231250 libibus2_1.3.9-2_amd64.deb
 cbbe9028df3fbc25d4a5f25799a0b9133fc0775a 329404 libibus-dev_1.3.9-2_amd64.deb
 64065d5c47f996332a6b6a0a500e7a26d8bbba5f 132158 ibus-gtk_1.3.9-2_amd64.deb
 9929e2739e42e658b4d9414b56520b8f10779971 132170 ibus-gtk3_1.3.9-2_amd64.deb
Checksums-Sha256: 
 e7138469fd6a2d734b42114268c499d6d0a2dfdc87e89b488628ec9d42059823 1543 ibus_1.3.9-2.dsc
 05d9b8be5ca623aea37937992a85fe4a32a53a7146f34e8a9a36aa7adbfaafbe 13181 ibus_1.3.9-2.debian.tar.gz
 66fd3d874750c51323414317fa408f060bf0ea32d2dba6dd35113b3f69eb9260 152804 python-ibus_1.3.9-2_all.deb
 b8a8035d3e30a4031bf879bd1b4375c2e8f745b8a03203d2e6a0b65ab9b48e18 595360 ibus_1.3.9-2_amd64.deb
 e4042846ebb52456e4e40e7d07ef74ae296b003159aed0f193ea0129c6065bd8 231250 libibus2_1.3.9-2_amd64.deb
 56d28a0b00944edcf3e414e45d9c4dd79979522ceb7efdb1a292d650148f74bf 329404 libibus-dev_1.3.9-2_amd64.deb
 abca17209543ace8932802b29ba26be940e57427a67f9e946d4ec5ec551e129c 132158 ibus-gtk_1.3.9-2_amd64.deb
 eb225c872ff81464ca2a3300c4fbe32b04bbc3fce8314992f53908617ee5cd87 132170 ibus-gtk3_1.3.9-2_amd64.deb
Files: 
 068a2d5d6d297698de1bebc7cf7ed553 1543 utils optional ibus_1.3.9-2.dsc
 c5f12a291c2ed0d1e583f177152b5b47 13181 utils optional ibus_1.3.9-2.debian.tar.gz
 e98119bbf0f055f4182a19b553cae49a 152804 python optional python-ibus_1.3.9-2_all.deb
 629f981858c6571bef79df93f3248726 595360 utils optional ibus_1.3.9-2_amd64.deb
 0f0dfc879222a9ffcccd58e3f840f5c8 231250 libs optional libibus2_1.3.9-2_amd64.deb
 f952ad68383530974a452e8226f0ca92 329404 libdevel optional libibus-dev_1.3.9-2_amd64.deb
 4629d364f4a769a7ce34ebd473e53452 132158 utils optional ibus-gtk_1.3.9-2_amd64.deb
 c890e2bfbbe83f029a5b1e6538c38191 132170 utils optional ibus-gtk3_1.3.9-2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk3f0dIACgkQ5TUK4GCH0vhaxACgkyBsczCQNEpBjxQJhTJpIUCe
MmQAn0QxRrAg/rcRezjoDJd5RoH0Oknj
=5krF
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 05 Jul 2011 07:35:44 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 14:32:12 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.